-- UPDATE FROM1.2.9 to 1.3.0
-- STEP 1: Do a Find/replace in this file to replace 'xxx_' with your prefix.
--         If you don't have a prefix, then find/replace 'xxx_' with a blank
-- STEP 2: Execute the following code in phpmyadmin:


ALTER TABLE `xxx_category` DROP COLUMN `keyword`;
ALTER TABLE `xxx_information` DROP COLUMN `keyword`;
ALTER TABLE `xxx_manufacturer` DROP COLUMN `keyword`;
ALTER TABLE `xxx_product` DROP COLUMN `keyword`;
ALTER TABLE `xxx_product` ADD COLUMN `length` decimal(5,2) NOT NULL AFTER `weight_class_id`;
ALTER TABLE `xxx_product` ADD COLUMN `width` decimal(5,2) NOT NULL AFTER `length`;
ALTER TABLE `xxx_product` ADD COLUMN `height` decimal(5,2) NOT NULL AFTER `width`;
ALTER TABLE `url_alias` CHANGE `alias` `keyword` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL;
 
INSERT INTO `xxx_order_status` (`order_status_id`, `language_id`, `name`) VALUES
(8, 1, 'Denied'),
(9, 1, 'Canceled Reversal'),
(10, 1, 'Failed'),
(11, 1, 'Refunded'),
(12, 1, 'Reversed'),
(13, 1, 'Chargeback'),
(14, 1, 'Unspecified Error');

INSERT INTO `xxx_setting` (`setting_id`, `group`, `key`, `value`) VALUES
(9275, 'config', 'config_compression', '4'),
(9274, 'config', 'config_seo_url', '0'),
(9270, 'config', 'config_smtp_port', '25'),
(9271, 'config', 'config_smtp_timeout', '5'),
(9272, 'config', 'config_ssl', '0'),
(9273, 'config', 'config_encryption', '123456'),
(9269, 'config', 'config_smtp_password', ''),
(9268, 'config', 'config_smtp_username', ''),
(9267, 'config', 'config_smtp_host', ''),
(9266, 'config', 'config_mail_protocol', 'mail'),
(9265, 'config', 'config_image_cart_height', '75'),
(9264, 'config', 'config_image_cart_width', '75'),
(9263, 'config', 'config_image_related_height', '120'),
(9262, 'config', 'config_image_related_width', '120'),
(9261, 'config', 'config_image_additional_height', '150'),
(9260, 'config', 'config_image_additional_width', '150'),
(9259, 'config', 'config_image_product_height', '120'),
(9258, 'config', 'config_image_product_width', '120'),
(9257, 'config', 'config_image_category_height', '120'),
(9256, 'config', 'config_image_category_width', '120'),
(9255, 'config', 'config_image_popup_height', '500'),
(9254, 'config', 'config_image_popup_width', '500'),
(9253, 'config', 'config_image_thumb_height', '250'),
(9252, 'config', 'config_image_thumb_width', '250'),
(9250, 'config', 'config_logo', 'logo.png'),
(9251, 'config', 'config_icon', '&lt;br /&gt;\r\n&lt;b&gt;Notice&lt;/b&gt;:  Undefined variable: config_icon in &lt;b&gt;/home/opencart/public_html/dev/admin/view/template/setting/setting.tpl&lt;/b&gt; on line &lt;b&gt;341&lt;/b&gt;&lt;br /&gt;\r\n'),
(9249, 'config', 'config_download_status', '5'),
(9248, 'config', 'config_download', '1'),
(9246, 'config', 'config_order_status_id', '1'),
(9247, 'config', 'config_stock_status_id', '5'),
(9245, 'config', 'config_stock_subtract', '0'),
(9244, 'config', 'config_stock_checkout', '0'),
(9243, 'config', 'config_stock_check', '1'),
(9242, 'config', 'config_checkout', '5'),
(9241, 'config', 'config_account', '3'),
(9240, 'config', 'config_alert_mail', '0'),
(9239, 'config', 'config_weight_class_id', '1'),
(9238, 'config', 'config_tax', '1'),
(9237, 'config', 'config_currency_auto', '1'),
(9236, 'config', 'config_currency', 'GBP'),
(9235, 'config', 'config_admin_language', 'en'),
(9234, 'config', 'config_language', 'en'),
(9233, 'config', 'config_zone_id', '3563'),
(9232, 'config', 'config_country_id', '222'),
(9231, 'config', 'config_welcome_1', '&lt;p&gt;Welcome to my store!&lt;/p&gt;'),
(9230, 'config', 'config_template', 'default/template/'),
(9229, 'config', 'config_fax', ''),
(9228, 'config', 'config_telephone', '123456789'),
(9227, 'config', 'config_email', 'webmaster@opencart.com'),
(9226, 'config', 'config_address', 'Address 1'),
(9225, 'config', 'config_owner', 'Your Name'),
(9224, 'config', 'config_meta_description', 'your store of fun'),
(9223, 'config', 'config_store', 'Your Store');

DELETE FROM `xxx_url_alias`;

DROP TABLE IF EXISTS `xxx_weight_class`;
CREATE TABLE `xxx_weight_class` (
  `weight_class_id` int(11) NOT NULL auto_increment,
  `language_id` int(11) NOT NULL,
  `title` varchar(32) collate utf8_unicode_ci NOT NULL,
  `unit` varchar(4) collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (`weight_class_id`,`language_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `opencart_weight_class`
--

INSERT INTO `xxx_weight_class` (`weight_class_id`, `language_id`, `title`, `unit`) VALUES
(2, 1, 'Grams', 'g'),
(1, 1, 'Kilograms', 'kg'),
(3, 1, 'Pounds', 'lb'),
(4, 1, 'Ounces', 'oz');

-- --------------------------------------------------------

--
-- Table structure for table `opencart_weight_rule`
--

DROP TABLE IF EXISTS `xxx_weight_rule`;
CREATE TABLE `xxx_weight_rule` (
  `from_id` int(11) NOT NULL,
  `to_id` int(11) NOT NULL,
  `rule` decimal(15,4) NOT NULL default '0.0000'
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `opencart_weight_rule`
--

INSERT INTO `xxx_weight_rule` (`from_id`, `to_id`, `rule`) VALUES
(2, 4, '0.0353'),
(1, 4, '35.2740'),
(3, 1, '0.4536'),
(3, 2, '453.5924'),
(4, 3, '0.0625'),
(4, 1, '0.0283'),
(4, 2, '28.3495'),
(1, 3, '2.2046'),
(1, 2, '1000.0000'),
(2, 3, '0.0022'),
(2, 1, '0.0010'),
(3, 4, '16.0000');
